package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@ApiModel
@TableName(value ="t_result_file_relation")
@Data
@Accessors(chain = true)
public class ResultFileRelation {

    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    @ApiModelProperty("任务id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long taskId;

    @ApiModelProperty("结果id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long resultId;

    @ApiModelProperty("文件id")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long fileId;

    @ApiModelProperty("目录")
    private String catalogue;

    @ApiModelProperty("文件名称")
    private String fileName;
}
