package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "CaseResultVO", description = "项目用例结果VO")
@Data
public class CaseResultVO {

    @ApiModelProperty("用例描述")
    private String description;

    @ApiModelProperty("用例id")
    private String id;

    @ApiModelProperty("用例名称")
    private String name;

    @ApiModelProperty("用例修复建议")
    private String remediation;

    @ApiModelProperty("用例风险等级枚举 HIGH：高 MEDIUM：中 LOW：低 NA: 未知")
    private String risk_level;

    @ApiModelProperty("用例检测状态枚举 UNPROCESSED: 未处理 PASSED: 通过 FAILED: 失败 PROCESSING: 处理中 IGNORED: 已忽略")
    private String status;

    @ApiModelProperty("用例步骤结果列表")
    List<StepResultVO> step_result_list;
}
