package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "DescribeProjectTestResultVO", description = "项目检测结果VO")
@Data
public class DescribeProjectTestResultVO {

    @ApiModelProperty("检测项目id")
    private String id;

    @ApiModelProperty("检测项目名称")
    private String name;

    @ApiModelProperty("项目用例结果列表")
    List<CaseResultVO> case_result_list;
}
