package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.SystemReviewTask;
import com.ruoyi.web.response.TaskFindResponse;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SystemReviewTaskMapper extends BaseMapper<SystemReviewTask> {
    List<SystemReviewTask> findListByStatus(@Param("status") String status);

    // 查询处理中的任务
    List<SystemReviewTask> findListInProcess();

    List<SystemReviewTask> findByDetailsResult(@Param("detailId") Long detailId);

    List<SystemReviewTask> findByTaskList(@Param("responses") List<TaskFindResponse> responses);
}
