package com.ruoyi.service.impl;

import com.ruoyi.service.StrategyModelTestTask;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * @author gxk
 */
@Service
@Transactional
public class StrategyModelTestTaskContext {

    private Map<String, StrategyModelTestTask> resourceMap = new ConcurrentHashMap<>();

    public void putResource(String key, StrategyModelTestTask strategyModelTestTask) {
        resourceMap.put(key, strategyModelTestTask);
    }

    public StrategyModelTestTask getResource(String operation){
        return resourceMap.get(operation);
    }

}
