package com.ruoyi.web.request;

import com.ruoyi.domain.vo.ReviewEnterpriseArchiveFileVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "ReviewDetailsResultSaveRequest", description = "保存审查细则的审查结果")
@Data
public class ReviewDetailsResultSaveRequest {

    /**
     * 关联到的细则id
     */
    @ApiModelProperty("关联到的细则id")
    private Long reviewDetailsId;

    /**
     * 关联的任务id
     */
    @ApiModelProperty("关联的任务id")
    private Long taskId;

    /**
     * 审核是否通过（0未通过、1通过）
     */
    @ApiModelProperty("审核是否通过（0未通过、1通过）")
    private Integer passed;

    @ApiModelProperty("评论")
    private String comment;

    @ApiModelProperty("关联文件列表")
    List<ReviewEnterpriseArchiveFileVO> fileList;
}
