package com.ruoyi.web.response;

import com.ruoyi.domain.vo.TestCaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 车型试验任务查看返回VO类
 * @author gxk
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("车型试验任务查看返回VO类")
public class ModelTestTaskViewResponse {

    @ApiModelProperty("章节号")
    private String chapter;

    @ApiModelProperty("标准技术要求")
    private String text;

    @ApiModelProperty("标准测试方法")
    private String testMethod;

    private List<TestCaseVO> testCaseList;

}
