package com.ruoyi.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 企业留档文件PDF
 * @author gxk
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("企业留档文件PDF")
public class EnterpriseFilePdfVO {

    @ApiModelProperty("检验中心名称")
    private String inspectionCenterName;

    @ApiModelProperty("检验依据")
    private String inspectionBasis;

    @ApiModelProperty("检验项目")
    private String inspectionItem;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private String createTime;

    @ApiModelProperty("委托单位名称")
    private String clientName;

}
