package com.ruoyi.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 测试用例VO(t_test_usecase)
 * @author gxk
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("测试用例VO(t_test_usecase)")
public class TestUsecaseVO {

    @ApiModelProperty("测试用例ID")
    private Long id;

    @ApiModelProperty("用例ID")
    private String caseId;

    @ApiModelProperty("测试场景")
    private String testScenario;

    @ApiModelProperty("测试类型")
    private String testType;

    @ApiModelProperty("用例编号")
    private String usecaseNo;

    @ApiModelProperty("用例名称")
    private String name;

    @ApiModelProperty("工具")
    private String tools;

    @ApiModelProperty("对应输入")
    private String input;

    @ApiModelProperty("用例描述")
    private String description;

    @ApiModelProperty("用例条款ID")
    private Long reviewStandardId;

    @ApiModelProperty("章节号")
    private String chapter;

    @ApiModelProperty("标准技术要求")
    private String text;

    @ApiModelProperty("标准测试方法")
    private String testMethod;

    @ApiModelProperty("测试结果")
    private String testResult;

}
