package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.TaskSampleRelation;
import com.ruoyi.domain.vo.SampleTaskVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TaskSampleRelationMapper extends BaseMapper<TaskSampleRelation> {

    /**
     * 根据任务id查询
     * @param taskId
     * @return
     */
    List<TaskSampleRelation> selectByTaskId(@Param("taskId") Long taskId,@Param("flag") String flag);


    /**
     * 根据样品id查询*/
    List<SampleTaskVo> selectTaskBysampleId(@Param("idList") List<Long> idList);

    public int selectTaskSumBySampleId(@Param("sampleId") Long sampleId);
}
