package com.ruoyi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.domain.Standard;
import com.ruoyi.web.request.StandardEditRequest;
import com.ruoyi.web.request.StandardGetInfoRequest;
import com.ruoyi.web.request.StandardListRequest;

import java.util.List;

/**
 * @description 针对表【t_standard(标准)】的数据库操作Service
 */
public interface StandardService extends IService<Standard> {

    // 分页查询
    List<Standard> findList(StandardListRequest request);

    //根据id查询
    Standard findListById(Long id);

    void editStandard(StandardEditRequest request);

    Standard getInfo(StandardGetInfoRequest request);
}
