package com.ruoyi.service;

import com.ruoyi.domain.ModelTestTask;
import com.ruoyi.web.response.ModelTestTaskViewResponse;

import java.util.List;

/**
 * @author gxk
 */
public interface StrategyModelTestTask {

    /**
     * 查看
     * @param modelTestTask
     * @return
     */
    List<ModelTestTaskViewResponse> doView(ModelTestTask modelTestTask);

    /**
     * 开始测试
     * @param modelTestTask
     */
    void doStartTest(ModelTestTask modelTestTask);

    /**
     * 确认测试
     * @param modelTestTask
     */
    void doConfirmTest(ModelTestTask modelTestTask);

    /**
     * 提交测试
     * @param modelTestTask
     * @param imagesUrl
     */
    void doSubmitTest(ModelTestTask modelTestTask, List<String> imagesUrl);

}
