package com.ruoyi.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.domain.ResultFileRelation;
import com.ruoyi.mapper.ResultFileRelationMapper;
import com.ruoyi.service.ResultFileRelationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Transactional
@Service
public class ResultFileRelationServiceImpl extends ServiceImpl<ResultFileRelationMapper, ResultFileRelation> implements ResultFileRelationService {

    @Autowired
    private ResultFileRelationMapper resultFileRelationMapper;

    @Override
    public List<ResultFileRelation> findByResultId(Long resultId) {
        return resultFileRelationMapper.findByResultId(resultId);
    }
}
