package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(value = "CarReviewTaskSubmitRequest", description = "提交车辆审查问卷")
@Data
public class CarReviewTaskSubmitRequest {

    @ApiModelProperty("任务id")
    private Long taskId;

    @ApiModelProperty("图片地址")
    private List<String> imagesUrl;

    @ApiModelProperty("选择的测试场景")
    private List<Long> testScenarioList;

}
