package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 车型试验提交DTO
 * @author gxk
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("车型试验提交DTO")
public class ModelTestTaskSubmitRequest {

    @ApiModelProperty("任务id")
    private Long taskId;

    @ApiModelProperty("图片地址")
    private List<String> imagesUrl;

}
