package com.ruoyi.web.request;


import com.ruoyi.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class SampleManagementRequest extends PageDomain {

    /** 车辆识别码 */
    @ApiModelProperty("车辆识别码")
    private String identificationCode;

    /** 样品编号 */
    @ApiModelProperty("样品编号")
    private String sampleNumber;

    /** 样品名称 */
    @ApiModelProperty("样品名称")
    private String sampleName;

    /** 0：整车样品  1：零部件样品 */
    @ApiModelProperty("0：整车样品  1：零部件样品")
    private String flag;

    private Long manufacturingEnterpriseId;
}
