package com.ruoyi.web.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

/**
 * @author gxk
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("测试用例id列表")
public class TestUseCaseIdListRequest {

    @NotNull(message = "车型试验ID不为空")
    @ApiModelProperty("车型试验ID")
    private Long modelTestId;

}
